#ifndef __COLORVECTOR_H
#define __COLORVECTOR_H

#include "cvector.h"

// Classes to represent colors in RGB and HSV spaces, with supplied
//  constructor/assignment conversion between the spaces.

class HSVcolor;

class RGBcolor : public Vector {
public:
    RGBcolor(float r, float g, float b) : Vector(r,g,b) { };
    RGBcolor(HSVcolor &c) { *this = c; }
    RGBcolor &operator=(HSVcolor &);
};

class HSVcolor : public Vector {
public:
    HSVcolor(float h, float s, float v) : Vector(h,s,v) { };
    HSVcolor(RGBcolor &c) { *this = c; }
    HSVcolor &operator=(RGBcolor &);
};

#endif /*__COLORVECTOR_H*/
